<?php

 
class Dosya extends CI_Controller{
    function __construct()
    {
        parent::__construct();

		// Giris Yapılmamış ise logine gönderiyoruz..
		
		$userid =  $this->session->userdata('userid');
        if(empty($userid))     
        {    
		redirect('login');
        }
		
    } 


    function add()
    {   
	
	
      
				$config['upload_path']          = 'uploads/';
				$config['allowed_types']        = 'gif|jpg|png|pdf|rar|zip|mp4|mov|avi';
				$config['max_size']	= '1000000000000000';
				$config['file_name']        = md5(date("d.m.Y  H:i"));


                $this->load->library('upload', $config);

               if ( ! $this->upload->do_upload('dosyagiden'))
                {
                      
						
					$dosya="";
                }
                else
                {
						$data=$this->upload->data();
					
						$dosya=$data['file_name'];
                       
                }
					
			echo $dosya; /* json_encode($dosyalar);*/
       
    }  
   
    function remove($id)
    {
		// Yetkili Degil  ise Anasayfa  gönderiyoruz..
		// Calisanlar Giremez
		
		$userid =  $this->session->userdata('useryetki');
		if($userid!=1)     
        {    
		redirect('anasayfa');
        }
		
        $isler = $this->Isler_model->get_isler($id);

        // check if the isler exists before trying to delete it
        if(isset($isler['id']))
        {
			// Eski Dosyayı Bulup Siliyoruz.  gidendosya
			$this->db->where('id', $id);
			$query = $this->db->get('isler')->row_array();
			$eskidosyaadi= $query['dosyagiden'];
			unlink('uploads/'.$eskidosyaadi);
			
            $this->Isler_model->delete_isler($id);
            redirect('isler/index');
        }
        else
            show_error('The isler you are trying to delete does not exist.');
    }
    

	function al($id)
    {   
	
		$userid =  $this->session->userdata('userid');
		echo $userid ;
        // check if the isler exists before trying to edit it
        $data['isler'] = $this->Isler_model->get_isler($id);
        
        if(isset($data['isler']['id']))
        {
            
                $params = array(
					'yapan' => $userid,
	
                );

                $this->Isler_model->update_isler($id,$params);            
                redirect('isler/index');
            
          
        }
        else{
            show_error('İş alınamaz');
		}
    }
	function bildirim_ekle($yapan,$musteriid,$istur)
    {  
	

								// Bildirim ekliyoruz..
								// kime bölümü 0 ise calisandaki iş grubuna bildirim atar
								// kime bölümü 1 ise calisandaki kişiye bilidirim atar
								// kime bölümü 2 ise tüm çalışanlara bildirim atar 
								
								// iş eklendiginde çalışana veya çalışanlara bildirim atıyoruz
								
								if($yapan==null)
								{
								
								
								$this->load->model('Musteri_model'); 
								$musteriad = $this->Musteri_model->get_musteri_ad($musteriid);
								$musterilogo = $this->Musteri_model->get_musteri_logo($musteriid);
								$musteriad = ekgetir($musteriad);
								$bildirim = array(
									'kime' => 0,
									'calisan' => $istur,
									'icon' => $musterilogo,
									'bildirim' => $musteriad. ' yeni işi eklendi.',
									'tarih' => date("d.m.Y  H:i"),
									'yon' => 'cisler/havuz',
									'gor' => 0,
								);
								}else{
									
							
								$this->load->model('Musteri_model'); 
								$musteriad = $this->Musteri_model->get_musteri_ad($musteriid);
								$musterilogo = $this->Musteri_model->get_musteri_logo($musteriid);
								$musteriad = ekgetir($musteriad);
								$bildirim = array(
									'kime' => 1,
									'calisan' => $yapan,
									'icon' => $musterilogo,
									'bildirim' => $musteriad . ' işi sana eklendi. İyi Çalışmalar',
									'tarih' => date("d.m.Y  H:i"),
									'yon' => 'cisler/bende',
									'gor' => 0,
									'okun' => 0,
								);
									
								}
								$this->load->model('Bildirim_model');
								$this->Bildirim_model->add_bildirim($bildirim);
	
	
	
	}
	function bildirim_ekle2($isid)
    {  
	

								// Bildirim ekliyoruz..
								// kime bölümü 0 ise calisandaki iş grubuna bildirim atar
								// kime bölümü 1 ise calisandaki kişiye bilidirim atar
								// kime bölümü 2 ise tüm çalışanlara bildirim atar 
								
								//iş onaylandıgında çalışana iş onaylandı bildirimi atıyoruz
								
								// iş bilgilerini alıyoruz
								$this->load->model('Isler_model'); 
								$is = $this->Isler_model->get_isler($isid);
								
								
								
							
								
								//müşteri Adını Alıyoruz
								$this->load->model('Musteri_model'); 
								$musteriad = $this->Musteri_model->get_musteri_ad($is['musteri']);
								$musterilogo = $this->Musteri_model->get_musteri_logo($is['musteri']);
								$musteriad = ekgetir($musteriad);
								
								$bildirim = array(
									'kime' => 1,
									'calisan' => $is['yapan'],
									'icon' => $musterilogo,
									'bildirim' => $musteriad. '  işi onaylandı',
									'tarih' => date("d.m.Y  H:i"),
									'yon' => 'cisler/tamamlanan',
									'gor' => 0,
									'okun' => 0,
								);
								
									
								
								$this->load->model('Bildirim_model');
								$this->Bildirim_model->add_bildirim($bildirim);
	
	
	
	}
	
}